#ifndef RATINGMIGRATE_H
#define RATINGMIGRATE_H

#include <QMap>
#include <QSqlDatabase>
#include <QFileInfo>

struct StatsRec {
    StatsRec() : rating(0), createDate(0), accessDate(0), id(-1) {}
    QFileInfo fi;
    int rating;
    int createDate;
    int accessDate;
    int id;
};

/** Program to migrate ratings from amarokV1 to amarokV2 databases. */
class RatingMigrate {
public:
    RatingMigrate(QString prefix="");
    void readV1Ratings(QSqlDatabase db);
    void readV2Ids(QSqlDatabase db);
    void writeV2Ratings(QSqlDatabase db);
private:
    QString url2path(QString) const;
    QString m_prefix;
    QMap<QString, StatsRec> m_map;
    QList<QDir> m_directories;

};

#endif        //  #ifndef RATINGMIGRATE_H
